'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.run = undefined;

var _execa = require('execa');

var _execa2 = _interopRequireDefault(_execa);

var _options = require('./options');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createJqCommand = function createJqCommand(filter, json) {
  var options = arguments.length <= 2 || arguments[2] === undefined ? {} : arguments[2];

  var command = {
    cmd: 'jq',
    params: []
  };
  command.params = (0, _options.parseOptions)(filter, json, options);
  return command;
};

var run = exports.run = function run(filter, json) {
  var options = arguments.length <= 2 || arguments[2] === undefined ? {} : arguments[2];

  return new Promise(function (resolve, reject) {
    var _createJqCommand = createJqCommand(filter, json, options);

    var cmd = _createJqCommand.cmd;
    var params = _createJqCommand.params;

    (0, _execa2.default)(cmd, params).then(function (_ref) {
      var stdout = _ref.stdout;

      if (options.output === 'json') {
        return resolve(JSON.parse(stdout));
      } else {
        return resolve(stdout);
      }
    }).catch(reject);
  });
};